curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"connectors": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"direction": "string",
"target": {},
"auth": {
"secret_ref": null,
"headers": null
},
"retry_policy": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"config_version": 1,
"published_at": "2026-08-31T14:22:05Z"
}
Get effective brand config
Effective runtime configuration: brand, connectors and the active config version.
GET
/
v1
/
brands
/
{brand_id}
/
config
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"connectors": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"direction": "string",
"target": {},
"auth": {
"secret_ref": null,
"headers": null
},
"retry_policy": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"config_version": 1,
"published_at": "2026-08-31T14:22:05Z"
}
Path parameters
Response
object
Brand record
Show brand
Show brand
Status codes
| Code | Meaning |
|---|---|
200 | Effective runtime configuration: brand, connectors and the active config version. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"connectors": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"direction": "string",
"target": {},
"auth": {
"secret_ref": null,
"headers": null
},
"retry_policy": {},
"enabled": true,
"metadata": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"config_version": 1,
"published_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026